#!python3
import binascii
import sys

for fn in sys.argv[1:]:
    print(fn + " -> " + fn[:-4] + ".dat")
    with open(fn[:-4] + ".dat", "w") as out:
        out.write("ROMARRAY_(MX_UINT8) " + fn[:-4] + " ROMARRAY_E = {")
        pos = 0
        with open(fn, "rb") as f:
            data = binascii.hexlify(f.read()).upper()
            for i in range(0, len(data) - 1, 2):            
                str = "0x" + chr(data[i])  + chr(data[i+1])
                out.write(str)
                if i < len(data) - 2 :
                    out.write(",")
                    pos += 1
                    if pos == 30:
                        pos = 0 
                        out.write("\r\n")
            out.write("};\r\n\n")
print("End")